﻿
using HarmonyLib;
using TenCrowns.AppCore;
using TenCrowns.GameCore;

namespace SettleAnywhere
{
    public class SettleAnywhere : ModEntryPointAdapter
    {
        public override void Initialize(ModSettings modSettings)
        {
            Harmony harmony = new Harmony("Dale.SettleAnywhere.patch");
            harmony.PatchAll();
        }
    }

    [HarmonyPatch(typeof(GameFactory), "CreateTile")]

    class PatchCreateTile
    {
        static bool Prefix(GameFactory __instance)
        {
            return true;
        }

        static void Postfix(ref Tile __result)
        {
            __result = new SettleAnywhereTile();
        }
    }
}
