﻿
using TenCrowns.GameCore;
using Mohawk.SystemCore;
using UnityEngine;

namespace SettleAnywhere
{
    internal class SettleAnywhereTile : Tile
    {
        public SettleAnywhereTile() : base()
        {
            return;
        }

        public override bool isValidFoundLocation(TeamType eTeam, TeamType eVisibilityTeam)
        {
            using (new UnityProfileScope("Tile.isValidFoundLocation"))
            {
                if (getRevealedCityTerritory(eVisibilityTeam) != -1)
                {
                    Debug.Log((object)"isValidFoundLocation getRevealedCityTerritory == false");
                    return false;
                }
                if (game().getTurn() < 2)
                {
                    if (!isRevealedCitySiteActive(eVisibilityTeam) && !isRevealedUrban(eVisibilityTeam))
                    {
                        return false;
                    }
                }
                if (isConnectedNoFound(eTeam, eVisibilityTeam))
                {
                    Debug.Log((object)"isValidFoundLocation isConnectedNoFound == false");
                    return false;
                }
                Debug.Log((object)"isValidFoundLocation == true");
                return true;
            }
        }
    }
}